//
#ifndef Define_h
#define Define_h
//
#include <Arduino.h>
//
//----------------------
//  Constant
//----------------------
#define SerialPC Serial
//
const int SIZE_BUFFER = 64;
const int SIZE_LINE = 64;
//
//----------------------
//  Type
//----------------------
typedef void (*TTerm)(const char* term);
typedef void (*TMessage)(const char* message);
typedef void (*TError)(const char* error);
//
//----------------------
//  Global
//----------------------
void Term(const char* term);
void Message(const char* message);
void Error(const char* error);
//
#endif // Define_h
//